import request from '@/utils/request'

// 查询护理员订单佣金收益信息列表
export function listRevenue(query) {
    return request({
        url: '/system/revenue/list',
        method: 'get',
        params: query
    })
}

// 查询护理员订单佣金收益信息详细
export function getRevenue(id) {
    return request({
        url: '/system/revenue/' + id,
        method: 'get'
    })
}

// 新增护理员订单佣金收益信息
export function addRevenue(data) {
    return request({
        url: '/system/revenue',
        method: 'post',
        data: data
    })
}

// 修改护理员订单佣金收益信息
export function updateRevenue(data) {
    return request({
        url: '/system/revenue',
        method: 'put',
        data: data
    })
}

// 删除护理员订单佣金收益信息
export function delRevenue(id) {
    return request({
        url: '/system/revenue/' + id,
        method: 'delete'
    })
}
